image: "python:3.5"
services:
  - mongo:latest
variables:
  MONGO_DB: test
before_script:
  - python --version
  - pip install virtualenv
stages:
  - build
  - test
build:
  stage: build
  script: cd schema && make && cd ../server && make
test:
  stage: test
  script: ./ci-test.s